!=======================================================================

SUBROUTINE ALLOC_WAVEFIELD

  USE PRECISION   , ONLY: WP

  USE CONTROL_DATA, ONLY: MZ, MR, NRFREQ

  USE WAVEFIELD   , ONLY:                                              &
                          D, DM, E, T, Z

!-----------------------------------------------------------------------

  IMPLICIT NONE

  INTEGER :: ALLOSTAT

!-----------------------------------------------------------------------

  ALLOCATE ( D (0:MZ), DM(0:MZ), E (0:MZ), T (0:MZ), Z (0:MZ,1:NRFREQ),&
             STAT=ALLOSTAT )
  
    IF  ( ALLOSTAT > 0 )  THEN
      WRITE (11,*) ' ALLOCATION ERROR ALLOC_WAVEFIELD, STAT= ', ALLOSTAT
      STOP
    END IF

  D = 0._WP 
  DM= 0._WP
  E = 0._WP
  T = 0._WP
  Z = 0._WP
  

END SUBROUTINE ALLOC_WAVEFIELD
