!=======================================================================

SUBROUTINE  ANEL_FUNC

  USE CONTROL_DATA, ONLY:                                              &
                          MZ, NRFREQ
  USE AUXIL       , ONLY:                                              &
                          OTA, OTB
  USE WAVEFIELD   , ONLY:                                              &
                          E, Z

!-----------------------------------------------------------------------

  IMPLICIT NONE

  INTEGER :: J, L

!-----------------------------------------------------------------------


  DO J = 1, NRFREQ

    DO  L = 0, MZ-1

      Z (L,J) = OTA(J) * E (L)  +  OTB(J) * Z (L,J)

    END DO
    
  END DO


END  SUBROUTINE  ANEL_FUNC
