!=======================================================================

SUBROUTINE  SNAP_DIS (ITILE, D)

  USE PRECISION   , ONLY:                                              &
                          WP     
  USE CONTROL_DATA, ONLY:                                              &
                          DT, LREC, MR, MZ, IPAS2
  USE WAVEFIELD   , ONLY:                                              &
                          SEIS

!-----------------------------------------------------------------------

  IMPLICIT NONE

  INTEGER, INTENT(IN) :: ITILE
  REAL(WP), INTENT(INOUT), DIMENSION(0:MZ) :: D

  INTEGER :: I

!-----------------------------------------------------------------------

  DO I = 1, MR
    SEIS(I,ITILE/IPAS2) =  D( LREC(I) )
  END DO

END  SUBROUTINE  SNAP_DIS
