!=======================================================================

SUBROUTINE ALLOC_WAVEFIELD

  USE PRECISION   , ONLY: WP

  USE CONTROL_DATA, ONLY: MZ, MR, NRFREQ

  USE WAVEFIELD   , ONLY:                                              &
                          V, ED, T, X

!-----------------------------------------------------------------------

  IMPLICIT NONE

  INTEGER :: ALLOSTAT

!-----------------------------------------------------------------------

  ALLOCATE ( V (0:MZ), ED (0:MZ), T (0:MZ), X (0:MZ,1:NRFREQ),&
             STAT=ALLOSTAT )
  
    IF  ( ALLOSTAT > 0 )  THEN
      WRITE (11,*) ' ALLOCATION ERROR ALLOC_WAVEFIELD, STAT= ', ALLOSTAT
      STOP
    END IF

  V = 0._WP
  ED= 0._WP
  T = 0._WP
  X = 0._WP
  

END SUBROUTINE ALLOC_WAVEFIELD
