!=======================================================================

SUBROUTINE  STRESS

  USE CONTROL_DATA, ONLY:                                              &
                          MZ, NRFREQ, DT
  USE GRID_MEDIUM , ONLY:                                              &
                          M, YM
  USE WAVEFIELD   , ONLY:                                              &
                          ED, X, T

!-----------------------------------------------------------------------

  IMPLICIT NONE

  INTEGER :: J, L

!-----------------------------------------------------------------------


  DO  L = 0, MZ-1
  
    T (L) = T (L) + DT * M (L) * ED(L)
    
    DO J = 1, NRFREQ

      T (L) = T (L) - DT * YM(L,J) * X (L,J)

    END DO
    
  END DO


END  SUBROUTINE  STRESS
