!***********************************************************************
! allocates arrays for physical parameters
!***********************************************************************
SUBROUTINE ALLOCATE_ARRAYS

  USE MOD_CONST           , ONLY: N_E_PAR, N_Y_PAR
  USE MOD_MODEL           , ONLY: MZ
  USE MOD_PARAMETERIZATION, ONLY: NRFREQ, CELLS, CELLSY, YM_OLD

!----------------------------------------------------------------------

  IMPLICIT NONE

!----------------------------------------------------------------------

  ALLOCATE( CELLS (0:MZ, N_E_PAR)         )
  ALLOCATE( CELLSY(0:MZ, N_Y_PAR, NRFREQ) )
  ALLOCATE( YM_OLD (NRFREQ) )


END SUBROUTINE ALLOCATE_ARRAYS

