!=======================================================================

SUBROUTINE  STRESS

  USE CONTROL_DATA, ONLY:                                              &
                          MZ, NRFREQ
  USE GRID_MEDIUM , ONLY:                                              &
                          M, YM
  USE WAVEFIELD   , ONLY:                                              &
                          E, Z, T

!-----------------------------------------------------------------------

  IMPLICIT NONE

  INTEGER :: J, L

!-----------------------------------------------------------------------


  DO  L = 0, MZ-1
  
    T (L) = M (L) * E (L)
    
    DO J = 1, NRFREQ

      T (L) = T (L) - YM(L,J) * Z (L,J)

    END DO
    
  END DO


END  SUBROUTINE  STRESS
