!-----------------------------------------------------------------------
! print info about model on screen 
!-----------------------------------------------------------------------
SUBROUTINE PRINT_INFO

  USE MOD_MODEL, ONLY: H, MZ

  IMPLICIT NONE

  WRITE(*,*)'Coordinate system: z -> down'
  WRITE(*,*)'Grid spacing: h   = ',H
  WRITE(*,*)'Number of grid cells: ', MZ+1
  WRITE(*,*)'Model parameter: MZ   = ',MZ
  WRITE(*,*)' '

END SUBROUTINE PRINT_INFO

!-----------------------------------------------------------------------
! logs info about model into a file
!-----------------------------------------------------------------------
SUBROUTINE LOG_INFO

  USE MOD_MODEL, ONLY: H, MZ

  IMPLICIT NONE

  OPEN(99,file='model.log')
  WRITE(99,*)'Coordinate system: z -> down'
  WRITE(99,*)'Grid spacing: h   = ',H
  WRITE(99,*)'Number of grid cells: ', MZ+1
  WRITE(99,*)'Model parameter: MZ = ',MZ
  WRITE(99,*)' '

END SUBROUTINE LOG_INFO
