FUNCTION F (X,N)
USE nrtype
USE QYLSM , ONLY: FRJ, FRK, Q

IMPLICIT NONE

REAL   (SP) , INTENT(IN)   :: x
INTEGER(I4B), INTENT(IN)   :: n
REAL   (SP) , DIMENSION(n) :: F
INTEGER                    :: J
REAL   (SP)                :: FJ, FK

  DO J = 1, N
    FJ=FRJ(    J )
    FK=FRK(INT(X))
    F(J)=FJ*( FK + FJ/Q(INT(X)) ) / (FJ*FJ+FK*FK)
  END DO

END FUNCTION F
